.modal-body,
.modal-body * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.modal-body .flex {
  display: flex;
  align-items: center;
}

.modal-body {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 10001;
  justify-content: center;
  background-color: rgba(16, 26, 41, 0.76);
}

.modal-body .modal-cont {
  width: 640px;
  background-color: #ffffff;
  border-radius: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.modal-body .modal-head {
  height: 60px;
  justify-content: space-between;
  padding: 0 30px;
  border-bottom: 1px solid #f2f2f2;
}

.modal-body .modal-head p {
  font-size: 18px;
  font-weight: 500;
  color: #131b26;
}

.modal-body .modal-head img {
  width: 20px;
  height: 20px;
  cursor: pointer;
}

.modal-body .modal-area {
  padding: 16px 30px;
  border-bottom: 1px solid #f2f2f2;
}

.modal-body .modal-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.modal-body .search-cont {
  position: relative;
  width: 200px;
  height: 36px;
  border: 1px solid #d4d6d9;
  border-radius: 98px;
}

.modal-body .search-cont.focused {
  border-color: #3a8bff;
}

.modal-body .search-cont input {
  width: 100%;
  height: 100%;
  border: none;
  padding: 0 14px;
  font-size: 14px;
  color: #131b26;
  border-radius: 98px;
  display: block;
}

.modal-body .search-cont input:focus-visible {
  outline: none;
}

.modal-body .search-cont input::placeholder {
  color: #acb4bf;
}

.modal-body .search-cont img {
  display: none;
  position: absolute;
  right: 34px;
  top: 11px;
  height: 14px;
  width: 14px;
}

.modal-body .search-cont.focused img {
  display: inline-block;
}

.modal-body .select-all.check {
  display: flex;
  align-items: center;
  background: none;
  width: auto;
  height: auto;
  font-size: 14px;
  color: #8a8b99;
  cursor: pointer;
}

.modal-body .select-all::before,
.modal-body .check {
  content: '';
  display: inline-block;
  margin-right: 6px;
  width: 18px;
  height: 18px;
  background-image: url(../../images/renwu/comParticipant/icon-check.png);
  background-position: 0 0;
  background-size: 100% auto;
  cursor: pointer;
}

.modal-body .select-all.checked::before {
  background-image: url(../../images/renwu/comParticipant/icon-check.png);
  background-position: 0 58px;
  background-size: 100% auto;
}

.modal-body .check.checked {
  background-position: 0 58px;
}

.modal-body .search-icon {
  position: absolute;
  right: 14px;
  top: 9px;
  display: inline-block;
  width: 18px;
  height: 18px;
  background-image: url(../../images/renwu/comParticipant/search.png);
  background-size: 100% 100%;
  cursor: pointer;
}

.modal-body .focused .search-icon {
  background-image: url(../../images/renwu/comParticipant/search1.png);
  background-size: 100% 100%;
}

.modal-body .user-cont {
  height: 422px;
  overflow-y: auto;
}

.modal-body .user-cont::-webkit-scrollbar {
  width: 8px;
}

.modal-body .user-cont::-webkit-scrollbar-track {
  background-color: #fff;
}

.modal-body .user-cont::-webkit-scrollbar-thumb {
  background-color: #dadfe5;
  border-radius: 10px;
}

.modal-body .user-group > p {
  padding: 12px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.modal-body .user-group > p .group {
  display: flex;
  align-items: center;
  font-size: 16px;
  color: #131b26;
  font-weight: 500;
}

.modal-body .user-group > p .group::before {
  content: '';
  margin-right: 6px;
  width: 12px;
  height: 12px;
  background-image: url(../../images/renwu/comParticipant/arrow.png);
  background-size: 100% 100%;
}

.modal-body .user-group > p.hide-group .group::before {
  transform: rotate(-90deg);
}

.modal-body .user-group > p.hide-group + ul {
  display: none;
}

.modal-body .user-list li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 7px 0;
}

.modal-body .user-info img {
  width: 36px;
  height: 36px;
  margin-right: 10px;
  border-radius: 50%;
}

.modal-body .user-info p {
  display: flex;
  flex-direction: column;
  font-size: 14px;
  color: #474c59;
}

.modal-body .user-info p .user-code {
  margin-top: 4px;
  color: #8a8b99;
  font-size: 12px;
}

.modal-body .no-data {
  margin-top: 178px;
  text-align: center;
  font-size: 14px;
  color: #8a8b99;
}

.modal-body .modal-btn {
  height: 70px;
  justify-content: flex-end;
}

.modal-body .modal-btn p {
  width: 92px;
  height: 36px;
  font-size: 14px;
  line-height: 36px;
  text-align: center;
  border: 1px solid #8cbbff;
  color: #3a8bff;
  margin-right: 30px;
  border-radius: 98px;
  cursor: pointer;
}

.modal-body .modal-btn p.sure {
  color: #fff;
  box-shadow: 0 2px 9px 0 #67a1ff80;
  background: linear-gradient(322.22deg, #5a33ff -34.58%, #6cc7ff 132%);
}
